Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.security
Interface PastrySecurityManager

All Known Implementing Classes:
  DirectSecurityManager, PermissiveSecurityManager, SocketPastrySecurityManager

public interface PastrySecurityManager

The security manager interface.

Version:
  $Id: PastrySecurityManager.java,v 1.3 2005/03/11 00:58:09 jeffh Exp $
Author:
  Andrew Ladd

Method Summary
`java.util.Date` | `getTimestamp()` Gets the current time for a timestamp.
`boolean` | `verifyAddressBinding(Credentials cred, Address addr)` Checks to see if these credentials can be associated with the address.
`boolean` | `verifyMessage(Message msg)` This method takes a message and returns true if the message is safe and false otherwise.
`NodeHandle` | `verifyNodeHandle(NodeHandle handle)` Verify node handle safety.

Method Detail

### verifyMessage

    public boolean verifyMessage(Message msg)

  This method takes a message and returns true if the message is safe and false otherwise.

  Parameters:
    `msg` - a message.
  Returns:
    if the message is safe, false otherwise.

### verifyAddressBinding

    public boolean verifyAddressBinding(Credentials cred,
                                        Address addr)

  Checks to see if these credentials can be associated with the address.

  Parameters:
    `cred` - some credentials.
    `addr` - an address.
  Returns:
    true if the credentials match the address, false otherwise.

### verifyNodeHandle

    public NodeHandle verifyNodeHandle(NodeHandle handle)

  Verify node handle safety.

  Parameters:
    `handle` - the handle to check.
  Returns:
    the verified node handle

### getTimestamp

    public java.util.Date getTimestamp()

  Gets the current time for a timestamp.

  Returns:
    the timestamp.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.